classification
Title: permissions wrong on Mac doc dir
Type: Stage: resolved
Components: Installation, Macintosh Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: Chris.Barker, ned.deily, python-dev, ronaldoussoren
Priority: normal Keywords:

Created on 2012-10-16 23:09 by Chris.Barker, last changed 2013-02-01 23:30 by Chris.Barker. This issue is now closed.

Files
File name Uploaded Description Edit
issue16256.txt ronaldoussoren, 2012-10-19 11:07
Messages (5)
msg173108 - (view) Author: Christopher Barker (Chris.Barker) Date: 2012-10-16 23:09
I just tried to "pip install ipython" and got:

error: could not create
'/Library/Frameworks/Python.framework/Versions/2.7/share/doc/ipython':
Permission denied

indeed:

$ ls -l /Library/Frameworks/Python.framework/Versions/2.7/share/
total 0
drwxr-xr-x  3 root  admin  102 Oct 11 09:14 doc
drwxrwxr-x  3 root  admin  102 Jun 11  2011 man

which looks like the doc dir should have the same perms as the man dir.

we might want to clen up that tiny nugget in future builds.
msg173321 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2012-10-19 11:07
Oddly enough the share/doc directory is created in the postinstall script for the documentation, looking at the script again makes me think that the script could be removed other than the symlink in /Developer/Documentation and that link is not useful on modern systems.   Changing that can wait until we switch to a newer installer format (see issue15661)

The attached patch is relative to the 2.7 tree and should fix the issue by explicitly setting the directory mode when creating it.
msg181120 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-01 22:06
New changeset d64e0cf5f1a7 by Ned Deily in branch '2.7':
Issue #16256: OS X installer now sets correct permissions for doc directory.
http://hg.python.org/cpython/rev/d64e0cf5f1a7

New changeset e8a1b5757067 by Ned Deily in branch '3.2':
Issue #16256: OS X installer now sets correct permissions for doc directory.
http://hg.python.org/cpython/rev/e8a1b5757067

New changeset 1db5ed6a2dc2 by Ned Deily in branch '3.3':
Issue #16256: merge from 3.2
http://hg.python.org/cpython/rev/1db5ed6a2dc2

New changeset bc2c40e84b58 by Ned Deily in branch 'default':
Issue #16256: merge from 3.3
http://hg.python.org/cpython/rev/bc2c40e84b58
msg181122 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-01 22:08
Thanks for the report and the patch.  Committed for 2.7.4, 3.2.4, and 3.3.1.
msg181130 - (view) Author: Christopher Barker (Chris.Barker) Date: 2013-02-01 23:30
On Fri, Feb 1, 2013 at 2:08 PM, Ned Deily <report@bugs.python.org> wrote:
> Thanks for the report and the patch.  Committed for 2.7.4, 3.2.4, and 3.3.1.

Did I actually submit a patch? but thanks to you for getting it done
-- and all else you do for pythonmac.

-Chris

> ----------
> resolution:  -> fixed
> stage:  -> committed/rejected
> status: open -> closed
> versions: +Python 3.2, Python 3.3, Python 3.4
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16256>
> _______________________________________

-- 

Christopher Barker, Ph.D.
Oceanographer

Emergency Response Division
NOAA/NOS/OR&R            (206) 526-6959   voice
7600 Sand Point Way NE   (206) 526-6329   fax
Seattle, WA  98115       (206) 526-6317   main reception

Chris.Barker@noaa.gov
History
Date User Action Args
2013-02-01 23:30:47Chris.Barkersetmessages: + msg181130
2013-02-01 22:08:12ned.deilysetstatus: open -> closed
versions: + Python 3.2, Python 3.3, Python 3.4
messages: + msg181122

resolution: fixed
stage: resolved
2013-02-01 22:06:50python-devsetnosy: + python-dev
messages: + msg181120
2012-10-19 11:07:50ronaldoussorensetfiles: + issue16256.txt

messages: + msg173321
2012-10-17 06:10:26ned.deilysetassignee: ronaldoussoren -> ned.deily

nosy: + ned.deily
2012-10-16 23:09:22Chris.Barkercreate